=== debian/changelog ===
chemps2 (1.8.2-1) unstable; urgency=medium

  [ Sebastian Wouters ]
  * Upstream release v1.8.2 (fixing build)
  * Upstream release v1.8.1 (MOLCAS interface)

  [ Gilles Filippini ]
  * Update symbols file to support HDF5 1.10 (Closes: #841954)

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Wed, 26 Oct 2016 22:20:02 +0200
