## chemps2 1.8.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project (CheMPS2)
-set (CheMPS2_MMP_VERSION   "1.8.2")
-set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION} (2016-10-26)")
+set (CheMPS2_MMP_VERSION   "1.8.3")
+set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION} (2016-11-15)")
 set (CheMPS2_AUTHORS       "Sebastian Wouters")
 set (CheMPS2_DESCRIPTION   "A spin-adapted implementation of DMRG for ab initio quantum chemistry")
 set (CheMPS2_EMAIL         "sebastianwouters@gmail.com")
@@ -105,8 +105,9 @@
     set (ENV{BLA_VENDOR} "Intel10_64lp")
 endif()
 
-if (LAPACK_LIBRARIES)
-    message (STATUS "LAPACK detection suppressed. Using: ${LAPACK_LIBRARIES}")
+if (LAPACK_INTERJECT)
+    set (LAPACK_LIBRARIES ${LAPACK_INTERJECT})
+    message (STATUS "LAPACK detection suppressed. Using (assumed static for cmake export): ${LAPACK_LIBRARIES}")
 else()
     find_package (LAPACK REQUIRED)
 endif()
@@ -152,7 +153,8 @@
 
 # <<<  Export config  >>>
 
-set (CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_DATADIR}/cmake/${PROJECT_NAME}")
+    # explicit "share" not "DATADIR" for CMake search path
+set (CMAKECONFIG_INSTALL_DIR "share/cmake/${PROJECT_NAME}")
 configure_package_config_file (${CheMPS2_SOURCE_DIR}/CMake/${PROJECT_NAME}Config.cmake.in
                                     "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake"
                                     INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})
