=== debian/changelog ===
chemps2 (1.8.3-2) unstable; urgency=medium

  * Fix lintian errors (i386 build)

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Thu, 08 Dec 2016 12:44:07 +0100

chemps2 (1.8.3-1) unstable; urgency=medium

  * Upstream release v1.8.3 (MOLCAS interface)

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Tue, 15 Nov 2016 20:07:44 +0100
