## chemps2 1.8.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 project (CheMPS2)
-set (CheMPS2_MMP_VERSION   "1.8.3")
-set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION} (2016-11-15)")
+set (CheMPS2_MMP_VERSION   "1.8.4")
+set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION} (2017-05-23)")
+#set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION}-15 (2017-05-22)")
 set (CheMPS2_AUTHORS       "Sebastian Wouters")
 set (CheMPS2_DESCRIPTION   "A spin-adapted implementation of DMRG for ab initio quantum chemistry")
 set (CheMPS2_EMAIL         "sebastianwouters@gmail.com")
@@ -105,14 +106,10 @@
     set (ENV{BLA_VENDOR} "Intel10_64lp")
 endif()
 
-if (LAPACK_INTERJECT)
-    set (LAPACK_LIBRARIES ${LAPACK_INTERJECT})
-    message (STATUS "LAPACK detection suppressed. Using (assumed static for cmake export): ${LAPACK_LIBRARIES}")
-else()
-    find_package (LAPACK REQUIRED)
-endif()
+find_package (TargetLAPACK REQUIRED)
 
-foreach (_l in LISTS LAPACK_LIBRARIES)
+get_property(_lapack_libraries TARGET tgt::lapack PROPERTY INTERFACE_LINK_LIBRARIES)
+foreach (_l IN LISTS _lapack_libraries)
     if (${_l} MATCHES "mkl")
         set (MKL "ON")
     endif()
@@ -124,11 +121,7 @@
 
 # <<<  Find HDF5  >>>
 
-if (HDF5_LIBRARIES AND HDF5_INCLUDE_DIRS)
-    message (STATUS "HDF5 detection suppressed. Using: ${HDF5_LIBRARIES} and includes ${HDF5_INCLUDE_DIRS}")
-else()
-    find_package (HDF5 REQUIRED)
-endif()
+find_package (TargetHDF5 REQUIRED)
 
 # <<<  Add source files, tests, sphinx, and doxygen  >>>
 
@@ -153,15 +146,16 @@
 
 # <<<  Export config  >>>
 
-    # explicit "share" not "DATADIR" for CMake search path
+# GNUInstallDirs "DATADIR" wrong here; CMake search path wants "share".
 set (CMAKECONFIG_INSTALL_DIR "share/cmake/${PROJECT_NAME}")
 configure_package_config_file (${CheMPS2_SOURCE_DIR}/CMake/${PROJECT_NAME}Config.cmake.in
                                     "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake"
                                     INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})
 write_basic_package_version_file (${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
                                       VERSION ${CheMPS2_MMP_VERSION}
-                                      COMPATIBILITY AnyNewerVersion)  # arguably should be same M.m version
+                                      COMPATIBILITY AnyNewerVersion)
 install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake
                ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
+               ${CheMPS2_SOURCE_DIR}/CMake/FindTargetHDF5.cmake
                DESTINATION ${CMAKECONFIG_INSTALL_DIR})
