=== debian/changelog ===
chemps2 (1.8.4-2) unstable; urgency=medium

  * Upload to unstable now that Stretch is released
  * Bump debhelper to 10
  * Bump Standards-Version to 4.0.0
  * In copyright-format https is preferred
  * Cmake 3.0.2 required by upstream 1.8.4
  * Overwrite CMAKE_VERBOSE_MAKEFILE=OFF in upstream
    by passing VERBOSE=1 to make in debian/rules
  * Multi-Arch: foreign for chemps2-doc
  * Multi-Arch: same for libchemps2-2, libchemps2-dev,
    and python-chemps2

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Sun, 16 Jul 2017 15:21:57 +0200

chemps2 (1.8.4-1) experimental; urgency=medium

  * Upstream release v1.8.4 (MOLCAS interface + build system)

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Tue, 23 May 2017 22:19:44 +0200
