=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Sebastian Wouters <sebastianwouters@gmail.com>,
            Michael Banck <mbanck@debian.org>
-Build-Depends: debhelper (>= 9),
-               cmake (>= 2.8.11),
+Build-Depends: debhelper (>= 10),
+               cmake (>= 3.0.2),
                libblas-dev,
                liblapack-dev,
                libhdf5-dev,
@@ -20,13 +20,14 @@
                libjs-mathjax,
                libjs-jquery,
                libjs-underscore
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://sebwouters.github.io/CheMPS2/index.html
 Vcs-Git: https://anonscm.debian.org/git/debichem/packages/chemps2.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/chemps2.git
 
 Package: libchemps2-2
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Suggests: chemps2-doc
@@ -56,6 +57,7 @@
 Package: libchemps2-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libchemps2-2 (= ${binary:Version})
@@ -89,6 +91,7 @@
 Package: chemps2-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${sphinxdoc:Depends},
          ${misc:Depends}
 Description: Documentation of the libchemps2-2 package
@@ -155,6 +158,7 @@
 Package: python-chemps2
 Section: python
 Architecture: any
+Multi-Arch: same
 Depends: ${python:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
