=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
                              -DCMAKE_BUILD_TYPE=release
 
 override_dh_auto_build:
-	dh_auto_build
+	dh_auto_build -- VERBOSE=1
 	# https://wiki.debian.org/Python/LibraryStyleGuide: info on sphinx-build
 	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -b html \
                                                            -c obj-${DEB_HOST_GNU_TYPE}/sphinx/ \
