=== debian/changelog ===
chemps2 (1.8.5-1) unstable; urgency=medium

  * Changes upstream 1.8.5
  * Install cmake config files with libchemps2-dev (Closes: #887104)
  * Install cmake target files with libchemps2-dev
  * Bump Standards-Version to 4.1.3
  * Deprecate python-chemps2 package
  * Introduce python3-chemps2 package
  * Update rules: python3, dh_numpy3
  * Build-Depends remove python-all, python-setuptools,
    python-docutils, python-sphinx, cython,
    python-numpy and libpython-dev
  * Build-Depends add python3-all (>= 3.6), python3-setuptools,
    python3-docutils, python3-sphinx, cython3,
    python3-numpy and libpython3-dev
  * Update copyright

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Mon, 15 Jan 2018 22:42:13 +0100
