=== debian/control ===
--- 
+++ 
@@ -10,17 +10,17 @@
                liblapack-dev,
                libhdf5-dev,
                dh-python,
-               python-all (>= 2.7),
-               python-setuptools,
-               python-docutils,
-               python-sphinx (>= 1.1),
-               cython (>= 0.19),
-               python-numpy,
-               libpython-dev,
+               python3-all (>= 3.6),
+               python3-setuptools,
+               python3-docutils,
+               python3-sphinx (>= 1.1),
+               cython3 (>= 0.19),
+               python3-numpy,
+               libpython3-dev,
                libjs-mathjax,
                libjs-jquery,
                libjs-underscore
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: http://sebwouters.github.io/CheMPS2/index.html
 Vcs-Git: https://anonscm.debian.org/git/debichem/packages/chemps2.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/chemps2.git
@@ -155,16 +155,16 @@
  fcidump format, performs DMRG-SCF and DMRG-CASPT2 calculations as
  specified by the user.
 
-Package: python-chemps2
+Package: python3-chemps2
 Section: python
 Architecture: any
 Multi-Arch: same
-Depends: ${python:Depends},
+Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
          libchemps2-2 (= ${binary:Version})
 Suggests: chemps2-doc
-Description: Python 2 interface for libchemps2-2
+Description: Python 3 interface for libchemps2-2
  chemps2 is a scientific library which contains a spin-adapted
  implementation of the density matrix renormalization group (DMRG)
  for ab initio quantum chemistry. This wavefunction method allows one
@@ -187,5 +187,5 @@
  respectively. For DMRG-SCF the active space 2-RDM is required, and
  for DMRG-CASPT2 the active space 4-RDM.
  .
- This package installs the library for Python 2.
+ This package installs the library for Python 3.
