=== debian/rules ===
--- 
+++ 
@@ -32,13 +32,13 @@
 	cd build-sphinx/html && sed -i "s/_static\/jquery.js/\/usr\/share\/javascript\/jquery\/jquery.js/" *.html
 	cd build-sphinx/html && sed -i "s/_static\/underscore.js/\/usr\/share\/javascript\/underscore\/underscore.js/" *.html
 	cd build-sphinx/html/_static && rm jquery*.js underscore*.js
-	cd PyCheMPS2 && CPATH=../CheMPS2/include:/usr/include/hdf5/serial python2 setup.py build_ext -L ../obj-${DEB_HOST_GNU_TYPE}/CheMPS2
+	cd PyCheMPS2 && CPATH=../CheMPS2/include:/usr/include/hdf5/serial python3 setup.py build_ext -L ../obj-${DEB_HOST_GNU_TYPE}/CheMPS2
 
 override_dh_auto_install:
 	dh_auto_install
 	# This will skip the build as it is already performed
-	cd PyCheMPS2 && CPATH=../CheMPS2/include:/usr/include/hdf5/serial python2 setup.py install --root=../debian/tmp --install-layout=deb
-	dh_numpy
+	cd PyCheMPS2 && CPATH=../CheMPS2/include:/usr/include/hdf5/serial python3 setup.py install --root=../debian/tmp --install-layout=deb
+	dh_numpy3
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS))) # nocheck NOT in variable
@@ -50,7 +50,7 @@
 #Just check if the first python test works: python and c++ tests are identical
 	cd PyCheMPS2/tests && PYTHONPATH=../../$(shell find -name lib.*):.. \
                               LD_LIBRARY_PATH=../../obj-${DEB_HOST_GNU_TYPE}/CheMPS2:/usr/lib/${DEB_HOST_MULTIARCH}/hdf5/serial \
-                              python2 test1.py
+                              python3 test1.py
 else
 	echo "DEB_BUILD_OPTIONS contains nocheck: no tests will be performed."
 endif
@@ -67,4 +67,4 @@
 	rm -rf build-sphinx PyCheMPS2/build PyCheMPS2/PyCheMPS2.cpp PyCheMPS2/*.pyc
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3
